[plonegov-br] Instalação IDG/Plone

Gleisson Henrique gleissonbr em gmail.com
Sexta Maio 22 14:08:04 -03 2020


Prezado Marcos,

Obrigado pela resposta. Eu seguirei a sua recomendação. Pelos papers que li
a única diferença substancial que eu pude notar, em termos ao plone/idg,
seria o python mesmo que no 20.04 o 3 é o default enqto no 18 o 2 ainda vem
preinstalado mas como teria que fazer um ambiente a parte mesmo imaginei
que não teria problemas.

Obrigado!


On Fri, May 22, 2020, 12:31 PM Marco Antonio de Albuquerque Silva <
marco.albuquerque em ifal.edu.br> wrote:

> Olá, Gleisson!
>
> *1. Sobre a instalação do virtualenv no Ubuntu 20.04, a documentação que
> você está seguindo foi feita para o Ubuntu 18.04. *
>
> Como é legível no log, não existe um pacote no ubuntu 20.04 chamado
> python-virtualenv. Eu indicaria que a instalação fosse feita no Ubuntu
> 18.04 ou no Debian, pode haver outras dependências que irão dar problema.
> Se optar por continuar, a instalação do virtualenv no Ubuntu 20.04 deve ser
> algo mais ou menos assim:
>
> sudo apt install -y python3-virtualenv python2
> virtualenv -p python2 pasta_do_virtualenv
>
> Ou:
>
> curl https://bootstrap.pypa.io/get-pip.py -o get-pip.pypython2 get-pip.pypython2 -m pip install --user virtualenv
>
> Mas novamente reforço, dado que não tem experiência com python, plone e o
> próprio apt, indico que utilize os SO que a própria documentação indica.
>
>
> *2. Sobre a falha com o bootstrap.py, há um tópico sobre isso aqui no
> fórum: "[plonegov-br] Problema instalação Portal padrão (ambiente de
> desenvolvimento)" de 15 dias atrás.*
>
>
> Atenciosamente,
>
>
> Em sex., 22 de mai. de 2020 às 10:59, Gleisson Henrique <
> gleissonbr em gmail.com> escreveu:
>
>> Bom dia a todos!
>>
>> Espero que estejam todos bem durante esse período conturbado que estamos
>> vivendo!
>>
>> Eu estou tentando instalar o Plone e a IDG seguindo as instruções na
>> documentação
>> <https://identidade-digital-de-governo-plone.readthedocs.io/en/latest/base/>.
>> A máquina que estou instalando é um Ubuntu 20.04 LTS.
>>
>> Eu estou tendo problemas para instalar o python-virtualenv. Então, eu
>> executei os três primeiros passos (os pacotes do sistema eu rodei sem o
>> python-virtual-env), e consigui concluir sem problemas.
>>
>> 1) wget --server-response --delete-after https://plone.org/
>>
>>
>> To run a command as administrator (user "root"), use "sudo <command>".
>> See "man sudo_root" for details.
>>
>> gleisson em vaio:~/Desktop$ wget --server-response --delete-after https://plone.org/
>> --2020-05-22 <https://plone.org/%0D--2020-05-22> 09:13:37--  https://plone.org/
>> Resolving plone.org (plone.org)... 104.25.47.70, 104.25.48.70, 2606:4700:20::6819:2f46, ...
>> Connecting to plone.org (plone.org)|104.25.47.70|:443... connected.
>> HTTP request sent, awaiting response...
>>   HTTP/1.1 200 OK
>>   Date: Fri, 22 May 2020 13:13:37 GMT
>>   Content-Type: text/html;charset=utf-8
>>   Transfer-Encoding: chunked
>>   Connection: keep-alive
>>   Set-Cookie: __cfduid=d9d50226f5a5ef6bdc847792b23991d291590153217; expires=Sun, 21-Jun-20 13:13:37 GMT; path=/; domain=.plone.org; HttpOnly; SameSite=Lax; Secure
>>   Content-Language: en-us
>>   Expires: Sat, 1 Jan 2000 00:00:00 GMT
>>   X-Cache-Rule: plone.content.itemView
>>   X-Frame-Options: SAMEORIGIN
>>   X-Varnish: 78196479 78196466
>>   Age: 20
>>   Via: 1.1 varnish (Varnish/5.2)
>>   X-Varnish-Cache: HIT
>>   CF-Cache-Status: DYNAMIC
>>   Expect-CT: max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
>>   Server: cloudflare
>>   CF-RAY: 5976cba98aa9e11e-IAD
>>   cf-request-id: 02de1d9df70000e11e2b075200000001
>> Length: unspecified [text/html]
>> Saving to: ‘index.html.tmp’
>>
>> index.html.tmp                [ <=>                               ]  48.72K  --.-KB/s    in 0.003s
>>
>> 2020-05-22 09:13:37 (16.9 MB/s) - ‘index.html.tmp’ saved [49892]
>>
>> Removing index.html.tmp.
>>
>> 2) sudo apt update && sudo apt upgrade -y
>>
>> gleisson em vaio:~/Desktop$ sudo apt update && sudo apt upgrade -y
>> [sudo] password for gleisson:
>> Hit:1 http://us.archive.ubuntu.com/ubuntu focal InRelease
>> Get:2 http://us.archive.ubuntu.com/ubuntu focal-updates InRelease [107 kB]
>> Get:3 http://us.archive.ubuntu.com/ubuntu focal-backports InRelease [98.3 kB]
>> Get:4 http://security.ubuntu.com/ubuntu focal-security InRelease [107 kB]
>> Get:5 http://us.archive.ubuntu.com/ubuntu focal-updates/main amd64 DEP-11 Metadata [90.5 kB]
>> Get:6 http://us.archive.ubuntu.com/ubuntu focal-updates/universe amd64 DEP-11 Metadata [136 kB]
>> Get:7 http://us.archive.ubuntu.com/ubuntu focal-backports/universe amd64 DEP-11 Metadata [532 B]
>> Get:8 http://security.ubuntu.com/ubuntu focal-security/main amd64 DEP-11 Metadata [16.6 kB]
>> Get:9 http://security.ubuntu.com/ubuntu focal-security/universe amd64 DEP-11 Metadata [208 B]
>> Fetched 556 kB in 1s (685 kB/s)
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> 30 packages can be upgraded. Run 'apt list --upgradable' to see them.
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> Calculating upgrade... Done
>> The following packages will be upgraded:
>>   fonts-opensymbol gir1.2-mutter-6 gnome-shell gnome-shell-common libjuh-java libjurt-java
>>   libmutter-6-0 libnautilus-extension1a libreoffice-ogltrans libreoffice-pdfimport
>>   libreoffice-style-breeze libreoffice-style-colibre libreoffice-style-elementary
>>   libreoffice-style-tango libridl-java libuno-cppu3 libuno-cppuhelpergcc3-3
>>   libuno-purpenvhelpergcc3-3 libuno-sal3 libuno-salhelpergcc3-3 libunoloader-java mutter
>>   mutter-common nautilus nautilus-data python3-distupgrade ubuntu-release-upgrader-core
>>   ubuntu-release-upgrader-gtk uno-libs-private ure
>> 30 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
>> Need to get 0 B/17.9 MB of archives.
>> After this operation, 60.4 kB of additional disk space will be used.
>> (Reading database ... 184768 files and directories currently installed.)
>> Preparing to unpack .../00-ubuntu-release-upgrader-gtk_1%3a20.04.19_all.deb ...
>> Unpacking ubuntu-release-upgrader-gtk (1:20.04.19) over (1:20.04.18) ...
>> Preparing to unpack .../01-ubuntu-release-upgrader-core_1%3a20.04.19_all.deb ...
>> Unpacking ubuntu-release-upgrader-core (1:20.04.19) over (1:20.04.18) ...
>> Preparing to unpack .../02-python3-distupgrade_1%3a20.04.19_all.deb ...
>> Unpacking python3-distupgrade (1:20.04.19) over (1:20.04.18) ...
>> Preparing to unpack .../03-fonts-opensymbol_2%3a102.11+LibO6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking fonts-opensymbol (2:102.11+LibO6.4.3-0ubuntu0.20.04.1) over (2:102.11+LibO6.4.2-0ubuntu3) .
>> ..
>> Preparing to unpack .../04-mutter-common_3.36.2-1ubuntu1~20.04.1_all.deb ...
>> Unpacking mutter-common (3.36.2-1ubuntu1~20.04.1) over (3.36.1-3ubuntu3) ...
>> Preparing to unpack .../05-gir1.2-mutter-6_3.36.2-1ubuntu1~20.04.1_amd64.deb ...
>> Unpacking gir1.2-mutter-6:amd64 (3.36.2-1ubuntu1~20.04.1) over (3.36.1-3ubuntu3) ...
>> Preparing to unpack .../06-libmutter-6-0_3.36.2-1ubuntu1~20.04.1_amd64.deb ...
>> Unpacking libmutter-6-0:amd64 (3.36.2-1ubuntu1~20.04.1) over (3.36.1-3ubuntu3) ...
>> Preparing to unpack .../07-gnome-shell_3.36.2-1ubuntu1~20.04.1_amd64.deb ...
>> Unpacking gnome-shell (3.36.2-1ubuntu1~20.04.1) over (3.36.1-5ubuntu1) ...
>> Preparing to unpack .../08-gnome-shell-common_3.36.2-1ubuntu1~20.04.1_all.deb ...
>> Unpacking gnome-shell-common (3.36.2-1ubuntu1~20.04.1) over (3.36.1-5ubuntu1) ...
>> Preparing to unpack .../09-mutter_3.36.2-1ubuntu1~20.04.1_amd64.deb ...
>> Unpacking mutter (3.36.2-1ubuntu1~20.04.1) over (3.36.1-3ubuntu3) ...
>> Preparing to unpack .../10-libridl-java_1%3a6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking libridl-java (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../11-libjuh-java_1%3a6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking libjuh-java (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../12-libjurt-java_1%3a6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking libjurt-java (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../13-ure_1%3a6.4.3-0ubuntu0.20.04.1_amd64.deb ...
>> Unpacking ure (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../14-libunoloader-java_1%3a6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking libunoloader-java (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../15-libuno-sal3_1%3a6.4.3-0ubuntu0.20.04.1_amd64.deb ...
>> Unpacking libuno-sal3 (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../16-libuno-salhelpergcc3-3_1%3a6.4.3-0ubuntu0.20.04.1_amd64.deb ...
>> Unpacking libuno-salhelpergcc3-3 (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../17-libuno-cppu3_1%3a6.4.3-0ubuntu0.20.04.1_amd64.deb ...
>> Unpacking libuno-cppu3 (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../18-libuno-cppuhelpergcc3-3_1%3a6.4.3-0ubuntu0.20.04.1_amd64.deb ...
>> Unpacking libuno-cppuhelpergcc3-3 (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../19-uno-libs-private_1%3a6.4.3-0ubuntu0.20.04.1_amd64.deb ...
>> Unpacking uno-libs-private (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../20-libuno-purpenvhelpergcc3-3_1%3a6.4.3-0ubuntu0.20.04.1_amd64.deb ...
>> Unpacking libuno-purpenvhelpergcc3-3 (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../21-nautilus_1%3a3.36.2-0ubuntu1_amd64.deb ...
>> Unpacking nautilus (1:3.36.2-0ubuntu1) over (1:3.36.1.1-1ubuntu2) ...
>> Preparing to unpack .../22-nautilus-data_1%3a3.36.2-0ubuntu1_all.deb ...
>> Unpacking nautilus-data (1:3.36.2-0ubuntu1) over (1:3.36.1.1-1ubuntu2) ...
>> Preparing to unpack .../23-libnautilus-extension1a_1%3a3.36.2-0ubuntu1_amd64.deb ...
>> Unpacking libnautilus-extension1a:amd64 (1:3.36.2-0ubuntu1) over (1:3.36.1.1-1ubuntu2) ...
>> Preparing to unpack .../24-libreoffice-style-tango_1%3a6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking libreoffice-style-tango (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../25-libreoffice-style-breeze_1%3a6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking libreoffice-style-breeze (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../26-libreoffice-style-colibre_1%3a6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking libreoffice-style-colibre (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../27-libreoffice-style-elementary_1%3a6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking libreoffice-style-elementary (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../28-libreoffice-ogltrans_1%3a6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking libreoffice-ogltrans (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Preparing to unpack .../29-libreoffice-pdfimport_1%3a6.4.3-0ubuntu0.20.04.1_all.deb ...
>> Unpacking libreoffice-pdfimport (1:6.4.3-0ubuntu0.20.04.1) over (1:6.4.2-0ubuntu3) ...
>> Setting up libreoffice-pdfimport (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up libuno-sal3 (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up gnome-shell-common (3.36.2-1ubuntu1~20.04.1) ...
>> Setting up libreoffice-style-tango (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up nautilus-data (1:3.36.2-0ubuntu1) ...
>> Setting up python3-distupgrade (1:20.04.19) ...
>> Setting up libnautilus-extension1a:amd64 (1:3.36.2-0ubuntu1) ...
>> Setting up libreoffice-style-colibre (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up mutter-common (3.36.2-1ubuntu1~20.04.1) ...
>> Setting up ubuntu-release-upgrader-core (1:20.04.19) ...
>> Setting up libreoffice-style-breeze (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up ubuntu-release-upgrader-gtk (1:20.04.19) ...
>> Setting up libunoloader-java (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up libreoffice-ogltrans (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up libridl-java (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up fonts-opensymbol (2:102.11+LibO6.4.3-0ubuntu0.20.04.1) ...
>> Setting up libreoffice-style-elementary (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up libuno-salhelpergcc3-3 (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up libuno-cppu3 (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up ure (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up libuno-purpenvhelpergcc3-3 (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up uno-libs-private (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up libjurt-java (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up libjuh-java (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up libuno-cppuhelpergcc3-3 (1:6.4.3-0ubuntu0.20.04.1) ...
>> Processing triggers for fontconfig (2.13.1-2ubuntu3) ...
>> Processing triggers for desktop-file-utils (0.24-1ubuntu2) ...
>> Processing triggers for mime-support (3.64ubuntu1) ...
>> Processing triggers for hicolor-icon-theme (0.17-2) ...
>> Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
>> Processing triggers for libglib2.0-0:amd64 (2.64.2-1~fakesync1) ...
>> Processing triggers for libc-bin (2.31-0ubuntu9) ...
>> Processing triggers for man-db (2.9.1-1) ...
>> Processing triggers for libreoffice-common (1:6.4.3-0ubuntu0.20.04.1) ...
>> Setting up nautilus (1:3.36.2-0ubuntu1) ...
>> Setting up libmutter-6-0:amd64 (3.36.2-1ubuntu1~20.04.1) ...
>> Setting up gir1.2-mutter-6:amd64 (3.36.2-1ubuntu1~20.04.1) ...
>> Setting up mutter (3.36.2-1ubuntu1~20.04.1) ...
>> Setting up gnome-shell (3.36.2-1ubuntu1~20.04.1) ...
>> Processing triggers for libc-bin (2.31-0ubuntu9) ...
>> gleisson em vaio:~/Desktop$
>>
>> 3) sudo apt install -y build-essential libssl-dev libxml2-dev
>> libxslt1-dev libbz2-dev zlib1g-dev python-setuptools python-dev
>> libjpeg62-dev libreadline-gplv2-dev python-pil wv poppler-utils git
>>
>> gleisson em vaio:~/Desktop$ sudo apt install -y build-essential libssl-dev libxml2-dev libxslt1-dev libbz2-dev zlib1g-dev python-setuptools python-dev libjpeg62-dev libreadline-gplv2-dev python-pil wv poppler-utils git
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> Note, selecting 'python-dev-is-python2' instead of 'python-dev'
>> build-essential is already the newest version (12.8ubuntu1).
>> build-essential set to manually installed.
>> poppler-utils is already the newest version (0.86.1-0ubuntu1).
>> poppler-utils set to manually installed.
>> The following additional packages will be installed:
>>   bzip2-doc git-man icu-devtools liberror-perl libexpat1-dev libicu-dev libjpeg62 libncurses-dev
>>   libpython2-dev libpython2-stdlib libpython2.7 libpython2.7-dev libpython2.7-minimal
>>   libpython2.7-stdlib libreadline5 libtinfo-dev libwv-1.2-4 python-is-python2 python-olefile
>>   python-pkg-resources python2 python2-dev python2-minimal python2.7 python2.7-dev
>>   python2.7-minimal
>> Suggested packages:
>>   git-daemon-run | git-daemon-sysvinit git-doc git-el git-email git-gui gitk gitweb git-cvs
>>   git-mediawiki git-svn icu-doc ncurses-doc libssl-doc python-pil-doc python-pil-dbg
>>   python-setuptools-doc python2-doc python-tk python2.7-doc binfmt-support texlive elinks | links
>>   | lynx imagemagick
>> The following NEW packages will be installed:
>>   bzip2-doc git git-man icu-devtools libbz2-dev liberror-perl libexpat1-dev libicu-dev libjpeg62
>>   libjpeg62-dev libncurses-dev libpython2-dev libpython2-stdlib libpython2.7 libpython2.7-dev
>>   libpython2.7-minimal libpython2.7-stdlib libreadline-gplv2-dev libreadline5 libssl-dev
>>   libtinfo-dev libwv-1.2-4 libxml2-dev libxslt1-dev python-dev-is-python2 python-is-python2
>>   python-olefile python-pil python-pkg-resources python-setuptools python2 python2-dev
>>   python2-minimal python2.7 python2.7-dev python2.7-minimal wv zlib1g-dev
>> 0 upgraded, 38 newly installed, 0 to remove and 0 not upgraded.
>> Need to get 27.9 MB of archives.
>> After this operation, 143 MB of additional disk space will be used.
>> Get:1 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libpython2.7-minimal amd64 2.7.18~rc1-2 [335 kB]
>> Get:2 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python2.7-minimal amd64 2.7.18~rc1-2 [1,302 kB]
>> Get:3 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python2-minimal amd64 2.7.17-2ubuntu4 [27.5 kB]
>> Get:4 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libpython2.7-stdlib amd64 2.7.18~rc1-2 [1,880 kB]
>> Get:5 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python2.7 amd64 2.7.18~rc1-2 [248 kB]
>> Get:6 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libpython2-stdlib amd64 2.7.17-2ubuntu4 [7,072 B]
>> Get:7 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python2 amd64 2.7.17-2ubuntu4 [26.5 kB]
>> Get:8 http://us.archive.ubuntu.com/ubuntu focal/main amd64 bzip2-doc all 1.0.8-2 [501 kB]
>> Get:9 http://us.archive.ubuntu.com/ubuntu focal/main amd64 liberror-perl all 0.17029-1 [26.5 kB]
>> Get:10 http://us.archive.ubuntu.com/ubuntu focal/main amd64 git-man all 1:2.25.1-1ubuntu3 [884 kB]
>> Get:11 http://us.archive.ubuntu.com/ubuntu focal/main amd64 git amd64 1:2.25.1-1ubuntu3 [4,554 kB]
>> Get:12 http://us.archive.ubuntu.com/ubuntu focal/main amd64 icu-devtools amd64 66.1-2ubuntu2 [188 kB]
>> Get:13 http://us.archive.ubuntu.com/ubuntu focal/main amd64 libbz2-dev amd64 1.0.8-2 [30.2 kB]
>> Get:14 http://us.archive.ubuntu.com/ubuntu focal/main amd64 libexpat1-dev amd64 2.2.9-1build1 [116 kB]
>> Get:15 http://us.archive.ubuntu.com/ubuntu focal/main amd64 libicu-dev amd64 66.1-2ubuntu2 [9,450 kB]
>> Get:16 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libjpeg62 amd64 1:6b2-3 [78.3 kB]
>> Get:17 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libjpeg62-dev amd64 1:6b2-3 [173 kB]
>> Get:18 http://us.archive.ubuntu.com/ubuntu focal/main amd64 libncurses-dev amd64 6.2-0ubuntu2 [339 kB]
>> Get:19 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libpython2.7 amd64 2.7.18~rc1-2 [1,036 kB]
>> Get:20 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libpython2.7-dev amd64 2.7.18~rc1-2 [2,473 kB]
>> Get:21 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libpython2-dev amd64 2.7.17-2ubuntu4 [7,140 B]
>> Get:22 http://us.archive.ubuntu.com/ubuntu focal/main amd64 libreadline5 amd64 5.2+dfsg-3build3 [100 kB]
>> Get:23 http://us.archive.ubuntu.com/ubuntu focal/main amd64 libssl-dev amd64 1.1.1f-1ubuntu2 [1,582 kB]
>> Get:24 http://us.archive.ubuntu.com/ubuntu focal/main amd64 libtinfo-dev amd64 6.2-0ubuntu2 [968 B]
>> Get:25 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libwv-1.2-4 amd64 1.2.9-4.2build1 [116 kB]
>> Get:26 http://us.archive.ubuntu.com/ubuntu focal/main amd64 libxml2-dev amd64 2.9.10+dfsg-5 [737 kB]
>> Get:27 http://us.archive.ubuntu.com/ubuntu focal/main amd64 libxslt1-dev amd64 1.1.34-4 [219 kB]
>> Get:28 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python-is-python2 all 2.7.17-4 [2,496 B]
>> Get:29 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python2.7-dev amd64 2.7.18~rc1-2 [287 kB]
>> Get:30 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python2-dev amd64 2.7.17-2ubuntu4 [1,268 B]
>> Get:31 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python-dev-is-python2 all 2.7.17-4 [1,396 B]
>> Get:32 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python-olefile all 0.46-2 [33.7 kB]
>> Get:33 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python-pil amd64 6.2.1-3 [320 kB]
>> Get:34 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python-pkg-resources all 44.0.0-2 [129 kB]
>> Get:35 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 python-setuptools all 44.0.0-2 [330 kB]
>> Get:36 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 wv amd64 1.2.9-4.2build1 [72.2 kB]
>> Get:37 http://us.archive.ubuntu.com/ubuntu focal/main amd64 zlib1g-dev amd64 1:1.2.11.dfsg-2ubuntu1 [156 kB]
>> Get:38 http://us.archive.ubuntu.com/ubuntu focal/main amd64 libreadline-gplv2-dev amd64 5.2+dfsg-3build3 [125 kB]
>> Fetched 27.9 MB in 1s (18.7 MB/s)
>> Extracting templates from packages: 100%
>> Selecting previously unselected package libpython2.7-minimal:amd64.
>> (Reading database ... 184768 files and directories currently installed.)
>> Preparing to unpack .../0-libpython2.7-minimal_2.7.18~rc1-2_amd64.deb ...
>> Unpacking libpython2.7-minimal:amd64 (2.7.18~rc1-2) ...
>> Selecting previously unselected package python2.7-minimal.
>> Preparing to unpack .../1-python2.7-minimal_2.7.18~rc1-2_amd64.deb ...
>> Unpacking python2.7-minimal (2.7.18~rc1-2) ...
>> Selecting previously unselected package python2-minimal.
>> Preparing to unpack .../2-python2-minimal_2.7.17-2ubuntu4_amd64.deb ...
>> Unpacking python2-minimal (2.7.17-2ubuntu4) ...
>> Selecting previously unselected package libpython2.7-stdlib:amd64.
>> Preparing to unpack .../3-libpython2.7-stdlib_2.7.18~rc1-2_amd64.deb ...
>> Unpacking libpython2.7-stdlib:amd64 (2.7.18~rc1-2) ...
>> Selecting previously unselected package python2.7.
>> Preparing to unpack .../4-python2.7_2.7.18~rc1-2_amd64.deb ...
>> Unpacking python2.7 (2.7.18~rc1-2) ...
>> Selecting previously unselected package libpython2-stdlib:amd64.
>> Preparing to unpack .../5-libpython2-stdlib_2.7.17-2ubuntu4_amd64.deb ...
>> Unpacking libpython2-stdlib:amd64 (2.7.17-2ubuntu4) ...
>> Setting up libpython2.7-minimal:amd64 (2.7.18~rc1-2) ...
>> Setting up python2.7-minimal (2.7.18~rc1-2) ...
>> Linking and byte-compiling packages for runtime python2.7...
>> Setting up python2-minimal (2.7.17-2ubuntu4) ...
>> Selecting previously unselected package python2.
>> (Reading database ... 185515 files and directories currently installed.)
>> Preparing to unpack .../00-python2_2.7.17-2ubuntu4_amd64.deb ...
>> Unpacking python2 (2.7.17-2ubuntu4) ...
>> Selecting previously unselected package bzip2-doc.
>> Preparing to unpack .../01-bzip2-doc_1.0.8-2_all.deb ...
>> Unpacking bzip2-doc (1.0.8-2) ...
>> Selecting previously unselected package liberror-perl.
>> Preparing to unpack .../02-liberror-perl_0.17029-1_all.deb ...
>> Unpacking liberror-perl (0.17029-1) ...
>> Selecting previously unselected package git-man.
>> Preparing to unpack .../03-git-man_1%3a2.25.1-1ubuntu3_all.deb ...
>> Unpacking git-man (1:2.25.1-1ubuntu3) ...
>> Selecting previously unselected package git.
>> Preparing to unpack .../04-git_1%3a2.25.1-1ubuntu3_amd64.deb ...
>> Unpacking git (1:2.25.1-1ubuntu3) ...
>> Selecting previously unselected package icu-devtools.
>> Preparing to unpack .../05-icu-devtools_66.1-2ubuntu2_amd64.deb ...
>> Unpacking icu-devtools (66.1-2ubuntu2) ...
>> Selecting previously unselected package libbz2-dev:amd64.
>> Preparing to unpack .../06-libbz2-dev_1.0.8-2_amd64.deb ...
>> Unpacking libbz2-dev:amd64 (1.0.8-2) ...
>> Selecting previously unselected package libexpat1-dev:amd64.
>> Preparing to unpack .../07-libexpat1-dev_2.2.9-1build1_amd64.deb ...
>> Unpacking libexpat1-dev:amd64 (2.2.9-1build1) ...
>> Selecting previously unselected package libicu-dev:amd64.
>> Preparing to unpack .../08-libicu-dev_66.1-2ubuntu2_amd64.deb ...
>> Unpacking libicu-dev:amd64 (66.1-2ubuntu2) ...
>> Selecting previously unselected package libjpeg62:amd64.
>> Preparing to unpack .../09-libjpeg62_1%3a6b2-3_amd64.deb ...
>> Unpacking libjpeg62:amd64 (1:6b2-3) ...
>> Selecting previously unselected package libjpeg62-dev:amd64.
>> Preparing to unpack .../10-libjpeg62-dev_1%3a6b2-3_amd64.deb ...
>> Unpacking libjpeg62-dev:amd64 (1:6b2-3) ...
>> Selecting previously unselected package libncurses-dev:amd64.
>> Preparing to unpack .../11-libncurses-dev_6.2-0ubuntu2_amd64.deb ...
>> Unpacking libncurses-dev:amd64 (6.2-0ubuntu2) ...
>> Selecting previously unselected package libpython2.7:amd64.
>> Preparing to unpack .../12-libpython2.7_2.7.18~rc1-2_amd64.deb ...
>> Unpacking libpython2.7:amd64 (2.7.18~rc1-2) ...
>> Selecting previously unselected package libpython2.7-dev:amd64.
>> Preparing to unpack .../13-libpython2.7-dev_2.7.18~rc1-2_amd64.deb ...
>> Unpacking libpython2.7-dev:amd64 (2.7.18~rc1-2) ...
>> Selecting previously unselected package libpython2-dev:amd64.
>> Preparing to unpack .../14-libpython2-dev_2.7.17-2ubuntu4_amd64.deb ...
>> Unpacking libpython2-dev:amd64 (2.7.17-2ubuntu4) ...
>> Selecting previously unselected package libreadline5:amd64.
>> Preparing to unpack .../15-libreadline5_5.2+dfsg-3build3_amd64.deb ...
>> Unpacking libreadline5:amd64 (5.2+dfsg-3build3) ...
>> Selecting previously unselected package libssl-dev:amd64.
>> Preparing to unpack .../16-libssl-dev_1.1.1f-1ubuntu2_amd64.deb ...
>> Unpacking libssl-dev:amd64 (1.1.1f-1ubuntu2) ...
>> Selecting previously unselected package libtinfo-dev:amd64.
>> Preparing to unpack .../17-libtinfo-dev_6.2-0ubuntu2_amd64.deb ...
>> Unpacking libtinfo-dev:amd64 (6.2-0ubuntu2) ...
>> Selecting previously unselected package libwv-1.2-4:amd64.
>> Preparing to unpack .../18-libwv-1.2-4_1.2.9-4.2build1_amd64.deb ...
>> Unpacking libwv-1.2-4:amd64 (1.2.9-4.2build1) ...
>> Selecting previously unselected package libxml2-dev:amd64.
>> Preparing to unpack .../19-libxml2-dev_2.9.10+dfsg-5_amd64.deb ...
>> Unpacking libxml2-dev:amd64 (2.9.10+dfsg-5) ...
>> Selecting previously unselected package libxslt1-dev:amd64.
>> Preparing to unpack .../20-libxslt1-dev_1.1.34-4_amd64.deb ...
>> Unpacking libxslt1-dev:amd64 (1.1.34-4) ...
>> Selecting previously unselected package python-is-python2.
>> Preparing to unpack .../21-python-is-python2_2.7.17-4_all.deb ...
>> Unpacking python-is-python2 (2.7.17-4) ...
>> Selecting previously unselected package python2.7-dev.
>> Preparing to unpack .../22-python2.7-dev_2.7.18~rc1-2_amd64.deb ...
>> Unpacking python2.7-dev (2.7.18~rc1-2) ...
>> Selecting previously unselected package python2-dev.
>> Preparing to unpack .../23-python2-dev_2.7.17-2ubuntu4_amd64.deb ...
>> Unpacking python2-dev (2.7.17-2ubuntu4) ...
>> Selecting previously unselected package python-dev-is-python2.
>> Preparing to unpack .../24-python-dev-is-python2_2.7.17-4_all.deb ...
>> Unpacking python-dev-is-python2 (2.7.17-4) ...
>> Selecting previously unselected package python-olefile.
>> Preparing to unpack .../25-python-olefile_0.46-2_all.deb ...
>> Unpacking python-olefile (0.46-2) ...
>> Selecting previously unselected package python-pil:amd64.
>> Preparing to unpack .../26-python-pil_6.2.1-3_amd64.deb ...
>> Unpacking python-pil:amd64 (6.2.1-3) ...
>> Selecting previously unselected package python-pkg-resources.
>> Preparing to unpack .../27-python-pkg-resources_44.0.0-2_all.deb ...
>> Unpacking python-pkg-resources (44.0.0-2) ...
>> Selecting previously unselected package python-setuptools.
>> Preparing to unpack .../28-python-setuptools_44.0.0-2_all.deb ...
>> Unpacking python-setuptools (44.0.0-2) ...
>> Selecting previously unselected package wv.
>> Preparing to unpack .../29-wv_1.2.9-4.2build1_amd64.deb ...
>> Unpacking wv (1.2.9-4.2build1) ...
>> Selecting previously unselected package zlib1g-dev:amd64.
>> Preparing to unpack .../30-zlib1g-dev_1%3a1.2.11.dfsg-2ubuntu1_amd64.deb ...
>> Unpacking zlib1g-dev:amd64 (1:1.2.11.dfsg-2ubuntu1) ...
>> Selecting previously unselected package libreadline-gplv2-dev:amd64.
>> Preparing to unpack .../31-libreadline-gplv2-dev_5.2+dfsg-3build3_amd64.deb ...
>> Unpacking libreadline-gplv2-dev:amd64 (5.2+dfsg-3build3) ...
>> Setting up bzip2-doc (1.0.8-2) ...
>> Setting up libncurses-dev:amd64 (6.2-0ubuntu2) ...
>> Setting up libreadline5:amd64 (5.2+dfsg-3build3) ...
>> Setting up libjpeg62:amd64 (1:6b2-3) ...
>> Setting up libpython2.7-stdlib:amd64 (2.7.18~rc1-2) ...
>> Setting up liberror-perl (0.17029-1) ...
>> Setting up libexpat1-dev:amd64 (2.2.9-1build1) ...
>> Setting up libreadline-gplv2-dev:amd64 (5.2+dfsg-3build3) ...
>> Setting up libssl-dev:amd64 (1.1.1f-1ubuntu2) ...
>> Setting up icu-devtools (66.1-2ubuntu2) ...
>> Setting up zlib1g-dev:amd64 (1:1.2.11.dfsg-2ubuntu1) ...
>> Setting up git-man (1:2.25.1-1ubuntu3) ...
>> Setting up libwv-1.2-4:amd64 (1.2.9-4.2build1) ...
>> Setting up wv (1.2.9-4.2build1) ...
>> Setting up libicu-dev:amd64 (66.1-2ubuntu2) ...
>> Setting up libjpeg62-dev:amd64 (1:6b2-3) ...
>> Setting up libbz2-dev:amd64 (1.0.8-2) ...
>> Setting up libtinfo-dev:amd64 (6.2-0ubuntu2) ...
>> Setting up libpython2.7:amd64 (2.7.18~rc1-2) ...
>> Setting up libpython2.7-dev:amd64 (2.7.18~rc1-2) ...
>> Setting up python2.7 (2.7.18~rc1-2) ...
>> Setting up libpython2-stdlib:amd64 (2.7.17-2ubuntu4) ...
>> Setting up python2 (2.7.17-2ubuntu4) ...
>> Setting up libxml2-dev:amd64 (2.9.10+dfsg-5) ...
>> Setting up git (1:2.25.1-1ubuntu3) ...
>> Setting up libpython2-dev:amd64 (2.7.17-2ubuntu4) ...
>> Setting up python-olefile (0.46-2) ...
>> Setting up python-is-python2 (2.7.17-4) ...
>> Setting up python2.7-dev (2.7.18~rc1-2) ...
>> Setting up python2-dev (2.7.17-2ubuntu4) ...
>> Setting up libxslt1-dev:amd64 (1.1.34-4) ...
>> Setting up python-pkg-resources (44.0.0-2) ...
>> Setting up python-pil:amd64 (6.2.1-3) ...
>> Setting up python-dev-is-python2 (2.7.17-4) ...
>> Setting up python-setuptools (44.0.0-2) ...
>> Processing triggers for desktop-file-utils (0.24-1ubuntu2) ...
>> Processing triggers for mime-support (3.64ubuntu1) ...
>> Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
>> Processing triggers for libc-bin (2.31-0ubuntu9) ...
>> Processing triggers for man-db (2.9.1-1) ...
>> Processing triggers for install-info (6.7.0.dfsg.2-5) ...
>> gleisson em vaio:~/Desktop$
>>
>>
>> 3.1) $ sudo apt install -y python-virtualenv gleisson em vaio:~/Desktop$
>> sudo apt install -y python-virtualenv
>> [sudo] password for gleisson:
>> Reading package lists... Done
>> Building dependency tree Reading state information... Done
>> Package python-virtualenv is not available, but is referred to by another
>> package. This may mean that the package is missing, has been obsoleted, or
>> is only available from another source
>> E: Package 'python-virtualenv' has no installation candidate
>> gleisson em vaio:~/Desktop$
>>
>>
>>   Eu até tentei seguir em frente com a instalaćão, por que o python da
>> máquina é o 2.7:
>>
>> gleisson em vaio:~/Desktop$ python -V
>> Python 2.7.18rc1
>> gleisson em vaio:~/Desktop$
>>
>>   Mas daí eu esbarrei em outras questões. Quando eu chegava na parte de
>> executar o comando buildout bootstrap-py
>>
>> python bootstrap.py
>>
>> Ele dá um erro dizendo que o arquivo bootstrap.py não existe. E de fato não existia.
>>
>> Alguém saberia me dizer como posso instalar o python-virtualenv? Ou alguém teria um passo a passo mais direto e direcionado para completos leigos em python e plone? :)
>>
>>
>> Muito obrigado!
>> Gleisson Henrique
>> --
>> Comunidade Plone no Governo
>> Site: http://www.softwarelivre.gov.br/plone
>> Wiki: http://colab.interlegis.leg.br/wiki/PloneGovBr
>> Histórico:
>> http://colab.interlegis.leg.br/search/?type=thread&order=latest&list=plonegov-br
>> Lista: https://listas.interlegis.gov.br/mailman/listinfo/plonegov-br
>
>
>
> --
> Marco Antonio de Albuquerque Silva
> Analista de Tecnologia da Informação - CORE/DTI/IFAL
> --
> Comunidade Plone no Governo
> Site: http://www.softwarelivre.gov.br/plone
> Wiki: http://colab.interlegis.leg.br/wiki/PloneGovBr
> Histórico:
> http://colab.interlegis.leg.br/search/?type=thread&order=latest&list=plonegov-br
> Lista: https://listas.interlegis.gov.br/mailman/listinfo/plonegov-br
-------------- Próxima Parte ----------
Um anexo em HTML foi limpo...
URL: <http://listas.interlegis.gov.br/pipermail/plonegov-br/attachments/20200522/820dbb4b/attachment.html>


Mais detalhes sobre a lista de discussão PloneGov-BR